commit 34e058e833c3a879104c7f6476a3986f2e42839d
Author: freddy77 <freddy77>
Date:   Fri Jul 24 15:06:51 2009 +0000

    fix Sybase LONGCHAR/LONGBINARY

diff --git a/ChangeLog b/ChangeLog
index d4df9b5..36883c7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Jul 24 17:06:23 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/token.c: fix Sybase LONGCHAR/LONGBINARY
+
 Thu Jul 23 20:21:50 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/apps/freebcp.c src/apps/freebcp.h:
 	- support setting charset in freebcp
@@ -1705,4 +1708,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2835 2009/07/23 18:22:00 freddy77 Exp $
+$Id: ChangeLog,v 1.2836 2009/07/24 15:06:51 freddy77 Exp $
diff --git a/src/tds/token.c b/src/tds/token.c
index 2d1ce61..05546d9 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.363 2009/07/20 17:41:27 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.364 2009/07/24 15:06:52 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -2124,6 +2124,7 @@ tds_get_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 		}
 		break;
 	case 5:
+		blob = (TDSBLOB *) curcol->column_data;
 		colsize = tds_get_int(tds);
 		break;
 #ifdef ENABLE_DEVELOPING

